summaryrefslogtreecommitdiff
path: root/sys-fs/spl-utils
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-06-05 02:56:15 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-06-05 02:56:15 +0100
commit4594caec9341d17a10db3f9a8c96ec2a9b2c87a6 (patch)
treec62d3d186ef42bbe303a85bef39d8f0983e3fa8a /sys-fs/spl-utils
parentb96f6791ecfaf22e1a39f3ccf49479345c353b32 (diff)
give userspace packages a more, userspace name
Diffstat (limited to 'sys-fs/spl-utils')
-rw-r--r--sys-fs/spl-utils/Manifest1
-rw-r--r--sys-fs/spl-utils/spl-utils-0.6.5.9.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/sys-fs/spl-utils/Manifest b/sys-fs/spl-utils/Manifest
new file mode 100644
index 00000000..197e6bb5
--- /dev/null
+++ b/sys-fs/spl-utils/Manifest
@@ -0,0 +1 @@
+DIST spl-0.6.5.9.tar.gz 594271 SHA256 d9ccd24786bb5a8616748a93a3c0b1270aa891175e2f5d726195b416f5c03b9c SHA512 356db95fcc93eb4ee298efc1ac25d38743572c539fc10b2d1533af861b4fd60804e61c3fb9f9bbad3d7a51cf123113b5b0bcbd49eba1bad7b1d8823d206022e8 WHIRLPOOL 6565a4939efaeba0cff75496ce9e8ea84b55da97fe47457ca33bcaf07aaa93a27dd410a9264b29539e65475029c0f0c612bc93b9fee4f97c7d6db9c92aab6a34
diff --git a/sys-fs/spl-utils/spl-utils-0.6.5.9.ebuild b/sys-fs/spl-utils/spl-utils-0.6.5.9.ebuild
new file mode 100644
index 00000000..7c46f580
--- /dev/null
+++ b/sys-fs/spl-utils/spl-utils-0.6.5.9.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+inherit flag-o-matic autotools-utils
+
+MY_PN="spl"
+MY_P="${MY_PN}-${PV}"
+
+SRC_URI="https://github.com/zfsonlinux/zfs/releases/download/zfs-${PV}/${MY_P}.tar.gz"
+
+DESCRIPTION="The Solaris Porting Layer is a Linux kernel module which provides many of the Solaris kernel APIs"
+HOMEPAGE="http://zfsonlinux.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="custom-cflags debug"
+
+RESTRICT="debug? ( strip ) test"
+
+S="${WORKDIR}/${MY_P}"
+
+COMMON_DEPEND="dev-lang/perl
+ virtual/awk"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ !sys-devel/spl"
+
+AT_M4DIR="config"
+AUTOTOOLS_IN_SOURCE_BUILD="1"
+
+DOCS=( AUTHORS DISCLAIMER )
+
+src_prepare() {
+ # Workaround for hard coded path
+ sed -i "s|/sbin/lsmod|/bin/lsmod|" "${S}/scripts/check.sh" || \
+ die "Cannot patch check.sh"
+
+ # splat is unnecessary unless we are debugging
+ use debug || { sed -e 's/^subdir-m += splat$//' -i "${S}/module/Makefile.in" || die ; }
+
+ # Set module revision number
+ [ ${PV} != "9999" ] && \
+ { sed -i "s/\(Release:\)\(.*\)1/\1\2${PR}-redcore/" "${S}/META" || die "Could not set Redcore release"; }
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ use custom-cflags || strip-flags
+ filter-ldflags -Wl,*
+
+ local myeconfargs=(
+ --bindir="${EPREFIX}/bin"
+ --sbindir="${EPREFIX}/sbin"
+ --with-config=user
+ $(use_enable debug)
+ )
+ autotools-utils_src_configure
+}